import React from 'react';
interface ExplainTreeStageProps {
    name: string;
    nReturned: number;
    highlights: Record<string, string | boolean>;
    curStageExecTimeMS: number;
    prevStageExecTimeMS: number;
    totalExecTimeMS: number;
    isShard: boolean;
    details: Record<string, unknown>;
    detailsOpen: boolean;
    onToggleDetailsClick: () => void;
}
export declare const defaultCardWidth = 278;
export declare const defaultCardHeight = 84;
export declare const shardCardHeight = 32;
export declare const highlightFieldHeight = 20;
export declare const trimInMiddle: (text: string, trimThreshold?: number, charsToKeepInFront?: number, charsToKeepInBack?: number) => string;
export declare const milliSecondsToNormalisedValue: (ms: number) => {
    value: string;
    unit: 'h' | 'min' | 's' | 'ms';
};
declare const ExplainTreeStage: React.FunctionComponent<ExplainTreeStageProps>;
export { ExplainTreeStage };
//# sourceMappingURL=explain-tree-stage.d.ts.map